Skip to main content
POST
getBlockProduction
curl --request POST \
  --url 'https://mainnet.helius-rpc.com/?api-key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": "1",
  "method": "getBlockProduction",
  "params": [
    {
      "commitment": "finalized",
      "identity": "85iYT5RuzRTDgjyRa3cP8SYhM2j21fj7NhfJ3peu1DPr",
      "range": {
        "firstSlot": 0,
        "lastSlot": 9887
      }
    }
  ]
}
'
{
  "jsonrpc": "2.0",
  "id": "<string>",
  "result": {
    "context": {
      "slot": 9887
    },
    "value": {
      "byIdentity": {
        "85iYT5RuzRTDgjyRa3cP8SYhM2j21fj7NhfJ3peu1DPr": [
          9888,
          9886
        ]
      },
      "range": {
        "firstSlot": 0,
        "lastSlot": 9887
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.helius.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

Request Parameters

commitment
string
The commitment level for the request.
  • processed
  • confirmed
  • finalized
identity
string
Optional validator identity public key (base-58 encoded) to filter results for a specific validator.
range
object
Optional slot range boundaries to limit the block production statistics time period.
range.firstSlot
number
Starting slot number to begin analyzing block production statistics from (inclusive).
range.lastSlot
number
Ending slot number to analyze block production statistics until (inclusive). If omitted, uses the current slot.

Authorizations

api-key
string
query
required

Your Helius API key. You can get one for free in the dashboard.

Body

application/json
jsonrpc
enum<string>
default:2.0
required

The JSON-RPC protocol version.

Available options:
2.0
id
string
default:1
required

A unique identifier for the request.

Example:

"1"

method
enum<string>
default:getBlockProduction
required

The name of the RPC method to invoke.

Available options:
getBlockProduction
params
object[]
required

Parameters for the request.

Response

Successfully retrieved block production information.

jsonrpc
enum<string>
Available options:
2.0
id
string
result
object